// Created in "Processing" by Craig Kaplan.
// Modified December 2019 for "JavaScript p5" by Kevin Harrigan.
// Generate a random impressionist painting of Boromir and 
// press a key to save it to a file.  Note the similarity
// to a Winter 2016 assignment:
// https://www.student.cs.uwaterloo.ca/~cs106/Winter2016/assignments/a02/

let img;

function preload() {
  img = loadImage( "data/boromir.jpg" );
}
function setup() {
  createCanvas( 568, 335 );
  background( 255 );
}

function draw() {
  for (let idx = 0; idx < 10; ++idx) {
    let x = int(random( width ));
    let y = int(random( height ));

    // Read a pixel out of the image.  This was demonstrated
    // in CS 105.
    let c = img.get(x, y);

    fill(c);
    noStroke();
    ellipse(x, y, 10, 10);
  }
}

function keyPressed() {
  save("output.png");
}
