// Kevin Harrigan, January 2020.
// Example using a sprite sheet.

let img;
let srcX = 0;
let srcY = 0;
let x = 0;
let y = 0;
let row = 0;

function preload() {
  img = loadImage("data/compass.png");
}

function setup() {
  createCanvas(img.width, img.height);
  spriteWidth = canvas.width / 4;
  spriteHeight = canvas.height / 4;
  frameRate(10);
}

function draw() {
  background(220);
  x = (canvas.width / 2) - (spriteWidth / 2);
  y = (canvas.height / 2) - (spriteHeight / 2);

  copy(img, srcX, srcY, spriteWidth, spriteHeight, 
    x, y, spriteWidth, spriteHeight);

  srcX = srcX + spriteWidth;
  if (srcX > img.width - spriteWidth) {
    srcX = 0;
    if (row < 2) {  // note that the bottom row is currently ignored
      row = row + 1;
    } else {
      row = 0;
    }
  }
  srcY = row * spriteHeight;
}
