// Originally created by Craig S. Kaplan
// Modified December 2019 by Kevin Harrigan.
//   Note: This code is not being used in W20 term because
//   it uses some techniques not covered in class (the use 
//   of radians in the call to arc().
// Orininal note from Craig: I don't always try to use the 
//   visual language of memes
//   to illustrate concepts in CS 106, but when I do it's
//   definitely rotating radial wedges with success boy 
//   and Impact text.

// A set of colours to use for the wedges.
let colors = [];
let img;

function preload() {
  img = loadImage("data/success_boy.png");
}

function setup() {
  createCanvas(500, 400);

  noStroke();
  colorMode(HSB, 255);

  textFont("Impact", 48);
  textAlign(CENTER);

  // Generate a list of colours.  We need to do this here
  // so that we can always reuse the same colours instead of
  // having them change randomly every frame.

  for (let idx = 0; idx < 6; ++idx) {
    colors[idx] = color( 
      random(140, 190), random(120, 255), random(80, 140));
  }
}

function draw() {
  // Draw the wedges in the background using the built-in
  // arc() function.
  for (let idx = 0; idx < 6; ++idx) {
    fill(colors[idx]);
    arc(width/2, height/2, 800, 800, idx*TWO_PI/6.0 + frameCount / 100.0, 
      (idx+1)*TWO_PI/6.0 + frameCount / 100.0);
  }

  // Draw some meme-ish text.
  fill(0, 0, 255);
  stroke(0, 0, 0);
  text("CS 106 MEME", width/2, 50);
  text("NAILED IT", width/2, height - 10);

  // Draw sucess boy.
  imageMode(CENTER);
  image(img, width/2, height/2, 250, 266);
}
