// Original code in "Processing" by Craig Kaplan.
// Modified for "JavaScript p5" in December 2019 by Kevin Harrigan.

let img;

let eye_x = 227;
let eye_y = 137;
let box_height = 100;

function preload(){
  img = loadImage( "data/boromir.jpg" );
}

function setup() {
  createCanvas( 800, 400 );
  textFont("Impact", 48);
}

function draw() {
  let bh = int(box_height);
  copy(img, eye_x - 2*bh, eye_y - bh, 4*bh, 2*bh,
    0, 0, width, height);
  box_height = max(box_height * 0.99, 10);
  fill(255);
  textAlign(CENTER);
  text("ONE DOES NOT SIMPLY", width / 2, 50);
  text("ZOOM IN ON BOROMIR'S EYE", width / 2, height - 5);
}

function keyPressed() {
  box_height = 100;
}
