// Original created in "ProcessinG" by Craig S. Kaplan.
// Modified for "JavaScript p5" December 2019 by Kevin Harrigan.
// A quick demonstration of setting up a "speed reading"
// style display of text.  Create a big array of all the
// individual words in a piece of text, and display them
// one-by-one at high speed.

let lines = [];
let words = [];
let index = 0;

function preload() {
  lines = loadStrings("data/marley.txt");
}

function setup() {
  createCanvas(400, 200);
  textSize(50);
  textAlign(CENTER);
  fill(255);
  let allLines = join( lines, " ");
  words = splitTokens(allLines, " ");
  frameRate(1);
}

function draw() {
  background( 80 );
  text(words[index], width/2, height/2);
  index = (index + 1) % words.length;
}
