//  Kevin Harrigan, January 2020.
// Example using a sprite sheet.

let img;
let spriteWidth;
let spriteHeight;
let srcX;
let srcY;
let x;
let y;

function preload() {
  img = loadImage("data/cards.png");
}

function setup() {
  createCanvas(img.width, img.height);
  background(220);
  spriteWidth = canvas.width / 16;
  spriteHeight = canvas.height / 4;

  for (let j = 0; j < 4; j++) {
    for (let i = 0; i < 16; i++) {

      srcX = i * spriteWidth; 
      srcY = j * spriteHeight; 

      x = srcX; 
      y = srcY;

      copy(img, srcX, srcY, spriteWidth, spriteHeight, 
        x, y, spriteWidth, spriteHeight);
    }
  }
}
