// original created in "Processing" by Craig Kaplan.
// Modified for "JavaScript p5" in December 2019 by Kevin Harrigan.
// Original comments (modified slightly by Harrigan) from Craig Kaplan:
//   Moustachify, AKA pin-the-moustache-on-the-President.
//   I feel like this sketch yields maximum bang for very
//   little coding effort.  It demonstrates using a raster
//   image and a vector image in combination.

let face;
let stache;

function preload() {
  face = loadImage("data/Trump.jpg");
  stache = loadImage("data/stache.svg");
}

function setup() {
  createCanvas(face.width, face.height);

  // Let's make the cursor invisible, so it doesn't
  // interfere with the image.  When you control an
  // object just by moving the mouse around, that object
  // effectively *becomes* the cursor.
  noCursor();
}

function draw() {
  image(face, 0, 0);
  image(stache, mouseX, mouseY, stache.width / 2, stache.height / 2);
}

function keyPressed() {
  save("TrumpWithStache.png");
}
